%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name: openbabel
Version: 2.2.0
Release: 6mcnl2008.1
Summary: Chemistry software file format converter
License: GPLv2+
Group: Sciences/Chemistry
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://openbabel.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
BuildRequires: doxygen 
BuildRequires: wxGTK-devel
BuildRequires: libxml2-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: swig

Requires: %{libname} = %{version}

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package	-n %{libname}
Summary:        Shared libraries of %{name}
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}
Conflicts:      %{develname} <  2.2.0-4

%description	-n %{libname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package	-n %{develname}
Summary:        Development files of %{name}
Group:          Development/C++
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname %{name} 2 -d 
Obsoletes: %mklibname %{name} 3 -d 

%description	-n %{develname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

#%package	-n %{libname}%{major}-static-devel
#Summary:        Static library of %{name}
#Group:          System/Libraries
#Requires:	%{libname}%{major}-devel = %{version}

#%description	-n %{libname}%{major}-static-devel
#Open Babel is a project designed to pick up where Babel left off, 
#as a cross-platform program and library designed to interconvert 
#between many file formats used in molecular modeling and computational
#chemistry.

#This package contains static library of %{name}.

%prep
%setup -q

%build
%configure2_5x  --enable-shared=yes --enable-static=no --disable-inchi --enable-maintainer-mode --enable-doxygen

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*
%{_datadir}/%{name}
%{_libdir}/%{name}/%{version}/*.so
%{_libdir}/%{name}/%{version}/*.la

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/%name-2.0
%{_includedir}/inchi
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.la


%changelog
* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2.2.0-5mdv2009.0
+ Revision: 277286
- There's still devel packages with soname installed in some boxes

* Wed Aug 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.0-4mdv2009.0
+ Revision: 276620
- Fix file list
  Fix configure
- Enhance configure
  fix file list  ( Bug #42549 )

* Wed Aug 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.0-3mdv2009.0
+ Revision: 276462
- Add libxml2-devel As buildrequire

* Sun Aug 10 2008 Emmanuel Andry <eandry@mandriva.org> 2.2.0-2mdv2009.0
+ Revision: 270542
- New version
- fix license
- apply devel policy
- fix major
- major check
- static-devel is not built anymore

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.0-2.b5.1mdv2009.0
+ Revision: 265231
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2.2.0-0.b5.1mdv2009.0
+ Revision: 216196
- New upstream beta version required for current kdeedu4

* Fri Apr 18 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.0-0.b4.1mdv2009.0
+ Revision: 195522
- Update tp 2.2.0 Beta4 (needed by kdeedu4)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.1.1-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Austin Acton <austin@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 50762
- new version

* Wed May 09 2007 Austin Acton <austin@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 25785
- fix major

* Tue Apr 17 2007 Laurent Montel <lmontel@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 13613
- 2.1.0 (need by kalzium4)


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.2-1mdv2007.0
+ Revision: 125461
- New version 2.0.2

  + Jérôme Soyer <saispo@mandriva.org>
    - Import openbabel

* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-2mdv2007.0
- rebuild

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-1mdk
- 2.0.1
- remove patch merged upstream

* Tue Jan 17 2006 Lenny Cartier <lenny@mandriva.com> 2.0.0-1mdk
- 2.0.0
- used patch from website to fix gcc4 compilation

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 1.100.2-3mdk
- rebuild

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.100.2-2mdk
- Drop patch0 (not needed)
- Rebuild with new gcc

* Tue May 04 2004 Austin Acton <austin@mandrake.org> 1.100.2-1mdk
- 1.100.2

